FlyweightAttribute (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.tree
Class FlyweightAttribute

    java.lang.Object
      org.dom4j.tree.AbstractNode
          org.dom4j.tree.AbstractAttribute
              org.dom4j.tree.FlyweightAttribute

All Implemented Interfaces:
  Attribute, Cloneable, Node, Serializable

Direct Known Subclasses:
  DefaultAttribute

public class FlyweightAttribute
extends AbstractAttribute

`FlyweightAttribute` is a Flyweight pattern implementation of a singly linked, read-only XML Attribute.

This node could be shared across documents and elements though it does not support the parent relationship.

Version:
  $Revision: 1.7 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary
`protected String` | `value` The value of the `Attribute`

Fields inherited from class org.dom4j.tree.AbstractNode
`NODE_TYPE_NAMES`

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Constructor Summary
`FlyweightAttribute(QName qname)`
`FlyweightAttribute(QName qname, String value)`
`FlyweightAttribute(String name, String value)` Creates the `Attribute` with the specified local name and value.
`FlyweightAttribute(String name, String value, Namespace namespace)` Creates the `Attribute` with the specified local name, value and `Namespace`.

Method Summary
`QName` | `getQName()` Returns the `QName` of this attribute which represents the local name, the qualified name and the `Namespace`.
`String` | `getValue()` Returns the value of the attribute.

Methods inherited from class org.dom4j.tree.AbstractAttribute
`accept, asXML, createXPathResult, getData, getName, getNamespace, getNamespacePrefix, getNamespaceURI, getNodeType, getPath, getQualifiedName, getText, getUniquePath, setData, setNamespace, setText, setValue, toString, write`

Methods inherited from class org.dom4j.tree.AbstractNode
`asXPathResult, clone, createPattern, createXPath, createXPathFilter, detach, getDocument, getDocumentFactory, getNodeTypeName, getParent, getPath, getStringValue, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, setParent, supportsParent, valueOf`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.dom4j.Node
`asXPathResult, clone, createXPath, detach, getDocument, getNodeTypeName, getParent, getPath, getStringValue, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, setParent, supportsParent, valueOf`

Field Detail

### value

    protected String value

  The value of the `Attribute`

Constructor Detail

### FlyweightAttribute

    public FlyweightAttribute(QName qname)

### FlyweightAttribute

    public FlyweightAttribute(QName qname,
                              String value)

### FlyweightAttribute

    public FlyweightAttribute(String name,
                              String value)

  Creates the `Attribute` with the specified local name and value.

Parameters:
  `name` - is the name of the attribute
  `value` - is the value of the attribute

### FlyweightAttribute

    public FlyweightAttribute(String name,
                              String value,
                              Namespace namespace)

  Creates the `Attribute` with the specified local name, value and `Namespace`.

Parameters:
  `name` - is the name of the attribute
  `value` - is the value of the attribute
  `namespace` - is the namespace of the attribute

Method Detail

### getValue

    public String getValue()

  Description copied from interface: `Attribute`

  Returns the value of the attribute. This method returns the same value as the `Node.getText()`method.

  Returns:
    the value of the attribute

### getQName

    public QName getQName()

  Description copied from interface: `Attribute`

  Returns the `QName` of this attribute which represents the local name, the qualified name and the `Namespace`.

  Returns:
    the `QName` associated with this attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.